Sub AbsFactor3 (E0,Ec,AtNum,AtWht,hi,fa)

     'Subroutine for calculatation of Philibert-Duncumb-Heinrich (1969)
     'absorption factor, known as Phulibert-Duncumb-Heinrich (PDH) equation.

     'Input parameters:    E0       :    Incident beam energy (keV)
     '                     Ec       :    Critical excitation energy (keV)
     '                     AtNum    :    Atomic number
     '                     AtWht    :    Atomic weight
     '                     hi       :    hi=Mac*csc(take-off angle)
     'Output parameter:    fa       :    Absorption factor

     h=1.2*AtWht/AtNum^2
     a0=1
     a1=2.22*1e-6*(1+2*h)/(1+h)
     a2=h*(1+h)
     a2=a2/(1+2*h)^2
     a2=a2*a1^2
     gama=E0^1.65-Ec^1.65
     fa=a0+a1*gama*hi+a2*gama^2*hi^2
     fa=1/fa

End Sub