Sub AbsFactor5 (E0,Ec,hi,fa)

     'Subroutine for calculatation of absorption factor
     'Quadratic model - Heinrich (1981)

     'Input parameters:    E0    :    Incident beam energy (keV)
     '                     Ec    :    Critical excitation energy (keV)
     '                     hi    :    hi=Mac*csc(take-off angle)
     'Output parameter:    fa    :    Absorption factor

     gama=(E0^1.65-Ec^1.65)
     fa=(1+1.2e-6*gama*hi)^(-2)

End Sub