Sub AbsFactor6 (E0,Ec,hi,fa)

     'Subroutine for calculatation of absorption factor
     'Duplex model - Heinrich (1991)

     'Input parameters:    E0    :    Incident beam energy (keV)
     '                     Ec    :    Critical excitation energy (keV)
     '                     hi    :    hi=Mac*csc(take-off angle)
     'Output parameter:    fa    :    Absorption factor

     gama=(E0^1.65-Ec^1.65)
     Ec=Ec*1000
     alpha=0.18+(2/gama)+8e-9*Ec+0.005*sqr(Z)
     fa=(1+1.65e-6*gama*hi)^2
     fa=fa/(1+alpha(1.65e-6*gama*alpha))

End Sub