Sub BackFactor4 (Z,E0,Ec,R)

     'Backscattering factor (R-Factor), Love and Scott (1978)

     'Input parameters: Z      :  Atomic number
     '                  E0     :  Incident beam enrgy in keV
     '                  Ec     :  Critical excitation energy in keV
     'Output parameter: R      :  Backscattering factor

      U0=E0/Ec
      V=log(U0)
      I=0.33148*V+0.05596*V^2-0.06339*V^3+0.00947*V^4
      G=(1/U0)*(2.87898*V-1.51307*V^2+0.81312*V^3-0.08241*V^4)
      eta20=(-52.3791+150.48371*Z-1.67373*Z^2+0.00716*Z^3)*1e-4
      A=(-1112.8+30.29*Z-0.15498*Z^2)*1e-4
      etha=eta20*(1+A*log(E0/20))
      R=1-eta*(I+eta*G)^1.67

End Sub