Sub BackFactor6 (Z,E0,Ec,R)

     'Backscattering factor (R-Factor), Pouchou and Pichoir (1986)

     'Input parameters: Z     :  Average atomic number, Z=(C*Z^0.5)^2
     '                  E0    :  Incident beam energy in keV
     '                  Ec    :  Critical excitation energy in keV
     'Output parameter: R     :  Backscattering factor

      U0=E0/Ec
      eta=1.75e-3*Z+0.37*(1-exp(-0.015*Z^1.3))
      w=0.595+(ni/3.7)+eta^4.55
      J=1+U0*(log(U0)-1)
      a=(2*w-1)/(1-w)
      b1=1/(U0^(a+1))
      b2=(1+a)
      b3=(2+a)*J
      b4=(1-b1)/b2
      G=(U0-1-b4)/b3
      R=1-eta*w*(1-G)

End Sub
