Sub CosterKronig1 (AtNum,Lines,gck)

     'Coster-Kronig transition factor for K, L and M lines
     'Pouchou (1993), data from standardless analyses
     'Input parameters:    AtNum   :   Atomic number
     '                     Lines   :   Line code (1 for K alpha, 2 for
     '                                 L alpha and 3 for M alpha)
     'Output parameter:    gck     :   Coster-Kronig factor

     if Lines=1 then
	     gck=1
     elseif Lines=2 then
	     if AtNum=>13 and AtNum<=29 then
		  gck=0.001875*AtNum+0.305625
	     elseif AtNum=>29 and AtNum<=31 then
		  gck=0.0265*AtNum-0.4085
	     elseif AtNum=>31 and AtNum<=34 then
		  gck=0.0143*AtNum-0.0313
	     elseif AtNum=>34 and AtNum<=39 then
		  gck=0.0200*AtNum-0.2240
	     elseif AtNum=>39 and AtNum<=42 then
		  gck=-0.03866*AtNum+2.064
	     elseif AtNum=>42 and AtNum<=45 then
		  gck=0.0220*AtNum-0.484
	     elseif AtNum=>45 and AtNum<=47 then
		  gck=-0.0365*AtNum+2.1485
	     elseif AtNum=>47 and AtNum<=49 then
		  gck=-0.1365*AtNum+6.8485
	     elseif AtNum=>49 and AtNum<=56 then
		  gck=-0.022285714*AtNum+1.252
	     elseif AtNum=>56 and AtNum<=64 then
		  gck=0.01775*AtNum-0.990
	     elseif AtNum=>64 and AtNum<=74 then
		  gck=0.0054*AtNum-0.1996
	     elseif AtNum=>75 and AtNum<=79 then
		  gck=0.065*AtNum-4.635
	     elseif AtNum=>80 and AtNum<=83 then
		  gck=-0.00466*AtNum+0.9933
	     elseif AtNum=>83 and AtNum<=94 then
		  gck=-0.004182*AtNum+0.9531
	     end if
     elseif Lines=3 then
	     gck=1
     end if

End Sub