Sub Energy3 (Z,L$,E)

'X-ray characteristic emission lines,Springer and Nolan (1976)
'Input parameters:  Z  = atomic number
'                   L$ = code for lines (Ka,Kb,La,Lb,Ma,Mb)
'Output parameter:  E  = energy of characteristic line in keV

    L$=ucase$(L$)
    if L$="KB" then
	 A0=-6.6101:A1=3.48039:A2=-0.373102:A3=3.42585e-2
    elseif L$="KA" then
	 A0=-5.49184:A1=2.54555:A2=-0.128129:A3=1.20661e-2
    elseif L$="LB" then
	 A0=-21.4703:A1=12.7049:A2=-2.65398:A3=0.228538
    elseif L$="LA" then
	 A0=-13.2015:A1=5.92457:A2=-0.790156:A3=5.60193e-2
    elseif L$="MB" then
	 A0=-38.6556:A1=20.1655:A2=-3.66665:A3=0.255776
    elseif L$="MA" then
	 A0=6.66542:A1=-11.2046:A2=3.58209:A3=-0.303821
    end if
    E=exp(A0+A1*log(Z)+A2*(log(Z))^2+A3*(log(Z))^3)

End Sub