Sub FluorYield10 (AtNum,Lines,Yield)

     'This subroutine calculates the fluorescence yield of element Z for
     'lines K, L and M, adopted from Magic IV by Colby

     'Input parameters:  AtNum   :   Atomic number
     '                   Lines   :   Line code (1 for K, 2 for L and 3 for M)
     'Output parameter:  Yield   :   Fluorescence yield

     Z=AtNum
     if Lines=1 then
	       D=-0.037948+Z*(0.034256-Z*Z*0.116342E-05)
     elseif Lines=2 then
	       D=-0.111065+Z*(0.013680-Z*Z*0.217720E-06)
     elseif Lines=3 then
	       D=-0.00036+Z*(0.00386+Z*Z*0.20101E-06)
     end if
     D=D^4
     Yield=D/(1+D)

End Sub