Sub FluorYield5 (AtNum,Lines,Omega)

     'Fluorescence yield, Poehn, Wernisch and Hanke (1985)
     'Input parameters:  AtNum  :  Atomic number
     '                   Lines  :  Line code (1 for K alpha lines and
     '                             2 for L alpha lines)
     'Output parameter:  Omega  :  Fluorescence yield

     if Lines=1 then
	     a=8.502e-2
	     b=-1.458e-2
	     c=5.677e-4
	     d=3.174e-5
	     e=-6.559e-7
     elseif Lines=2 then
	     a=-1.983
	     b=1.432e-1
	     c=-3.842e-3
	     d=4.578e-5
	     e=-1.959e-7
     end if
     Omega=a+b*AtNum+c*AtNum^2+d*AtNum^3+e*AtNum^4

End Sub
