Sub ICS19 (E0,Ec,Z,Q)

'Ionization cross-section for K lines,Egerton (1984)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K lines in keV
'Output parameters:  Q     :     ionization cross section in cm^2

     nk=2
     bk=0.990-0.01883*Z+3.066*1e-4*Z^2-2.154*1e-6*Z^3
     ck=0.2821+0.077*Z-3.807*1e-3*Z^2+8.262*1e-5*Z^3-4.784*1e-7*Z^4
     a=0.027737822
     b=0.0031243905
     c=-4.6903574*1e-6
     d=2.4238904*1e-9
     beta=a+b*E0+c*E0^2+d*E0^3    'beta^2
     T=255.488*(1-(1+(E0/510.976))^(-2))
     C1=6.51*1e-20*bk
     Q=(C1/(T*Ec))*log(ck*T/Ec)+(log(1/(1-beta))-beta)
     Q=Q*1e-24

End Sub
