Sub ICS2 (E0,Ec,L,Z,Q)

'Subroutine:Ionization cross-section,Brown (1974) for K and L23 lines.
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K and L23 lines in keV
'                    L     :     line code (1 for K nad 2 for L lines)
'                    Z     :     atomic number
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     if L=1 then
	 d=0.85+0.0047*Z
     else
	 d=2.19+0.0098*Z
     end if
     Q=7.92*1e-20*d*log(U)/U
     Q=Q/Ec^2

End Sub
