Sub ICS3 (E0,Ec,Z,L,Q)

'Subroutine:Ionization cross-section,Hutchins (1974) for K,L and M lines
' and Pouchou and Pichoir.
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K,L and M lines in keV
'                    Z     :     atomic number
'                    L     :     line code (1 for K,2 for L and 3 for M)
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     if L=1 then
       m=0.86+0.12*exp(-(Z/5)^2)
     elseif L=2 then
       m=0.82
     else
       m=0.78
     end if
     Q=7.92*1e-20*log(U)/U^m
     Q=Q/Ec^2

End Sub
