Sub ICS4 (E0,Ec,L,Q)

'Subroutine:Ionization cross-section,Worthington and Tomlin (1956)
'for K, L and M lines
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K,L and M lines in keV
'                    L     :     line code (1 for K, 2 to L and 3 for M)
'Output parameters:  Q     :     ionization cross section

     U=E0/Ec
     c=4/(1.65+2.35*exp(1-U))
     if L=1 then
	z=2
	b=0.35
	d=1
     elseif L=2 then
	z=8
	b=0.25
	d=1
     else
	z=18
	b=0.25
	d=1
     end if
     Q=6.51*1e-20*(z*b/U^d)*log(c*U)
     Q=Q/Ec^2

End Sub
