Sub ICS6 (E0,Ec,L,Q)

'Subroutine:Ionization cross-section,Rudge and Schwartz (1966)
'for K and L1 lines.
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K and L lines in keV
'                    L     :     line code (1 for K, 2 to L)
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     if L=1 then
	z=2
	s=2.799-(0.218/U)+(0.047/U^2)
     else
	z=8
	s=2.168+(1.147/U)-(0.212/U^2)
     end if
     Q=(1.626*1e-20*z*s*log(U))/U
     Q=Q/Ec^2

End Sub
