Sub Incident (tiltX,tiltY,Azimuth,Elevation,IncAngle)

     'Calculate electron incidence angle in degrees, Zaluzec (1987)
     'Input parameters:      tiltX      :    X-Axis tilt angle (deg.)
     '                       tiltY      :    Y-Axis tilt angle (deg.)
     '                       Azimuth    :    Detector azimuth angle (deg.)
     '                       Elevation  :    Detector elevation angle (deg.)
     'Output parameter:      IncAngle   :    Electron incident angle (deg.)

     TaZ=Azimuth/57.296
     TeL=Elevation/57.296
     Px=tiltX
     Py=tiltY
     Px=Px/57.296
     Py=Py/57.296
     VISQ=(cos(Px)*cos(Py)*cos(TaZ)*cos(TeL))^2+_
     (cos(Px)*cos(Py)*cos(TeL)*sin(TaZ))^2+(sin(PY)*cos(TaZ)*_
	  cos(TeL)+sin(Px)*cos(Py)*cos(TeL)*sin(TaZ))^2
     VI=sqr(VISQ)
     COSB=(sin(Py)*cos(TaZ)*cos(TeL)+sin(Px)*cos(Py)*cos(TeL)*sin(TaZ))/VI
     BT= 1.5707963-atn(COSB/sqr(1-COSB^2))
     IncAngle=BT*57.296

End Sub