Sub MDL3 (P1,B1,B2,Ca,kab,Cb)

'Detectability of element B in element A in AEM,Romig and Goldstein (1979)
'Input parameter:  P1   = raw integrated intensity of element A
'                  B1   = background intensity of element A
'                  B2   = background intensity of element B
'                  Ca   = concentration of element A in wt.%
'                  kab  = reciprocal of the Cliff-Lorimer k-factor
'Output parameter: Cb   = detectability (in wt.%) of element B in element A

      Cb=((3*(2*B2)^(1/2))/(P1-B1))*Ca*kab^(-1)

End Sub