Sub Mip12 (n,Z(),A(),c(),J)

     'Subroutine:Mean ionization potential for sample with n-th elements
     'Pouchou and Pichoir (1991)
     'Input parameters:     n    :   number of elements in the sample
     '                      Z(n) :   atomic number of n-th element
     '                      A(n) :   atomic weight of n-th element
     '                      c(n) :   mass fraction of n-the elemnt
     'Output parameters:    J    :   mean ionization potential in keV

     M=0
     for i=1 to n
	M=M+c(i)*Z(i)/A(i)
     next i
     J=0
     for i=1 to n
	J1=Z(i)*(10.04+8.25*exp(-Z(i)/11.22))*1e-3  'Zeller (1975)
	J=J+(c(i)*(Z(i)/A(i))*log(J1))/M
     next i
     J=exp(J)

End Sub