Sub Mip13 (n,Z(),A(),c(),J)

     'Subroutine:Mean ionization potential for specimen with n-th elements
     'Love,Cox and Scott (1978)
     'Input parameters:     n    :   number of elements in the sample
     '                      Z(n) :   atomic number of n-th element
     '                      A(n) :   atomic weight of n-th element
     '                      c(n) :   mass fraction of n-the elemnt
     'Output parameters:    J    :   mean ionization potential in keV

     Sum=0
     J=0
     for i=1 to n
       J2=0.0135*Z(i)
       X=c(i)*Z(i)/A(i)
       Sum=Sum+X
       J=J+Sum*log(J2)/Sum
     next i
     J=exp(J)

End Sub