cls:E0=15:Ec=7.1:L=1:Z=26:Eta=0.280
call phi010 (E0,Ec,L,Z,Eta,phi0)
print phi0
while not instat
wend

Sub Phi010 (E0,Ec,L,Z,Eta,phi0)

     'Subroutine:August and Wernisch phi(0) expression,1990
     'Input parameters:   E0    :   incident beam energy in keV
     '                    Ec    :   excitation potential in keV
     '                    L     :   line code (1 for K,2 for L and 3 for M)
     '                    Z     :   atomic number
     '                    Eta   :   backscattering coefficient
     'Output parameter:   phi0  :   surface ionization function

     U0=E0/Ec
     Wm=0.52+1.28*Eta-0.72*Eta^2
     a1=67.2945+279.67*Wm-383.52*Wm^2+179.276*Wm^3
     c=8.34
     d=1/(1.3956-3.7819*Wm+4.5441*Wm^2-2.0704*Wm^3)
     e=24.3-78.4*Wm+127.44*Wm^2-68.733*Wm^3
     A=0.5+(c/(a1+1))-(e/(d+1))
     A=Eta/A
     if L=1 then
	 m=0.86+0.12*exp(-(Z/5)^2)
     elseif L=2 then
	 m=0.82
     else
	 m=0.78
     end if
     n1=m-d
     H1=-(n1-1)*log(E0/Ec)-1+(E0/Ec)^(n1-1)/(n1-1)^2
     n2=m-a1
     H2=-(n2-1)*log(E0/Ec)-1+(E0/Ec)^(n2-1)/(n2-1)^2
     n3=m-a1
     H3=-(n3-1)*log(E0/Ec)-1+(E0/Ec)^(n3-1)/(n3-1)^2
     I=A*(Ec/E0)^m*H1+c*H2-e*H3
     phi0=1+2*I*U0^m/log(U0)

End Sub
