Sub Phi03 (E0,Ec,Eta,phi0)

     'Subroutine:Love and Scott phi(0) expression,(1978)
     'Input parameters:   E0    :   incident beam energy in keV
     '                    Ec    :   excitation potential in keV
     '                    Eta   :   backscattering factor
     'Output parameter:   phi0  :   surface ionization function

     U0=E0/Ec
     JPU=3.43378-10.7872/U0+10.97628/(U0*U0)-3.62286/U0^3
     GPU=-.59299+21.55329/U0-30.55248/(U0*U0)+9.59218/U0^3
     phi0=1+Eta/(1+Eta)*(JPU+GPU*log(1+Eta))

End Sub
