Sub Rbfract (AtNum,Value)

     'This subroutine returns the radiative branching fraction of the
     'L alpha group from the total L3 shell emission. The alpha group
     'consists of the alpha 1 & 2 transitions derived from the M5-L3 and
     'M4-L3 decays. The present version doenot comput the beta fractions
     'which arise from all the L3,L2,and L1 shells!
     'The notation which may be appropriate for Ltrans would be
     '345= L3 from M45= La
     '31 = L3 from M1 = Ll
     '30 = L3 from all others N1,N4,N5, N6,N7,OA,,O45= Lb
     '234= L2 from M2,M3=Lb
     '20 = L2 from all others N1,N3,N4,N6,O1,O4 = Lg
     '134= L1 from M2M3M4M5 = Lb
     '10 = L1 from all otheers = Lg
     'At present this routine returns 345/(345 +31 +30)
     'i.e. the La fraction of the L3 shell emission!!! when Ltran =3
     'This tabulation is from the calculation of Scofield in Atomic and
     'Nuclear Data Tables, Vol, 14, No.2, (1974), p.121
     'Only data for 1<Z<92 is included herein

     'Input parameter:     AtNum  :   Atomic number
     'Output parameter:    Value  :   Relative branching fraction value

     dim F3A(92)
     for i=1 to 92
	   read F3A(i)
     next i

     'Data for F3A ,Z=1 to 92
     data 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5035,6940,7884,8587
     data 8750,8980,9142,9248,9395,9429,9459,9485,9512,9527,9539,9546
     data 9556,9555,9511,9450,9351,9266,9180,9087,8992,8884,8801,8719
     data 8652,8582,8527,8472,8421,8370,8326,8278,8227,8243,8220,8226
     data 8226,8200,8205,8176,8172,8165,8156,8159,8148,8146,8127,8101
     data 8070,8037,8015,7977,7941,7909,7872,7836,7806,7773,7742,7712
     data 7685,7652,7622,7595,7562,7535,7513,7491

     Value=F3A(AtNum)/10000

End Sub
