Sub Stp4 (E,n,AtNum(),AtWht(),conc(),S)

     'Stopping power factor for specimen with n elements
     'Pouchou and Pichoir (1991)
     'Input parameters:     E    :   Energy in keV
     '                      n    :   Number of elements in the sample
     '                  AtNum(n) :   Atomic number of n-th element
     '                  AtWht(n) :   Atomic weight of n-th element
     '                   conc(n) :   Mass fraction of n-the elemnt
     'Output parameter:     S    :   Stopping power factor keV cm^2/g

     M=0
     for i=1 to n
	M=M+conc(i)*AtNum(i)/AtWht(i)
     next i
     J=0
     for i=1 to n
	J1=AtNum(i)*(10.04+8.25*exp(-AtNum(i)/11.22))*1e-3
	J=J+(conc(i)*(AtNum(i)/AtWht(i))*log(J1))/M
     next i
     J=exp(J)
     V=E/J
     D1=6.6e-6
     D2=1.12e-5*(1.35-0.45*J^2)
     D3=2.2e-6/J
     P1=0.78
     P2=0.1
     P3=-(0.5-0.25*J)
     Sm1=D1*V^P1
     Sm2=D2*V^P2
     Sm3=D3*V^P3
     S=(M/J)*1/(Sm1+Sm2+Sm3)

End Sub