Sub TiltAngle (OrigDist,FinDist,IncrAngle,Tilt)

     'Calculation sample tilt angle in the SEM from
     'stereometric parallax measurements
     'Input parameters:   OrigDist    :   Original distance (mm)
     '                    FinDist     :   Final distance (mm)
     '                    IncrAngle   :   Incremental angle (deg.)
     'Output parameters:  Tilt        :   Tilt angle (deg.)

     A=FinDist/OrigDist
     P=IncrAngle*0.017453
     S1=cos(P)
     S2=sin(P)
     M=(S1-A)/S2
     M=atn(M)
     Tilt=57.29674*M

End Sub