cls
Z=26:Ec=7.11:E0=25:eta=0.287:alpha=0

'Backscattering factor (R-Factor),Czyzewski (1985)
'Input parameters: E0    = energy of the electron beam in keV
'                  Ec    = critical excitation energy in keV
'                  etha  = backscattering coefficient
'		   alpha = specimen tilt angle if deg.
'Output parameter: R     = backscattering factor

	alpha=alpha*0.017453
	U0=E0/Ec
	k=1.6
	p=(0.8+2*eta)*log(1/eta)
	s=0.1054*(2^p-1+1/(2.25*cos(alpha)^p))
	a=1/((U0-1)^1.67)
	'Calculate integral function by trapezoidal rule
	'of numerical integration method
	def fnf1(U)=k*p*s*eta*(U^(k-1)/U0^(k-1))/((U0*(1-U^k/U0^k)^(1+p))*(1-s+s/(1-U^k/U0^k)^p)^2)*(U-1)^1.67
	N=100
	U1=1
	U2=U0-0.001
	W=(U2-U1)/N
	ES=fnf1(U1)+fnf1(U2)
	SUM=0
	for i=1 to N-1
	   U=U1+i*W
	   SUM=SUM+fnf1(U)
	next i
	TOTAL=(ES+2*SUM)*W/2
	R=1-(a*TOTAL)
	print using"#.####";R